﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SushiBarDataModels.Models;

namespace SushiBarContracts.BindingModels
{
    public class SushiBindingModel : ISushiModel
    {
        public int Id { get; set; }
        public string SushiName { get; set; } = string.Empty;
        public double Price { get; set; }
        public Dictionary<int, (IComponentModel, int)> SushiComponents
        {
            get;
            set;
        } = new();

    }
}
